Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04385 Sound Minor Always Jun 20, 2011, 18:55 Dec 8, 2018, 20:44
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver saturn.cpp
Version 0.142u6 Fixed in Version 0.143u2 Build
Summary 04385: danchih, danchiq: Sound distortion when you insert a credit
Description After INSERT COIN you can clearly hear the sound distortion.
Danchi de Hanafuda (danchih) has been added in MAME 0.81u4 and
until MAME 0.89u6 there wasn't any sound distortion.
(danchiq) was added later (MAME 0.134u3), but it has also
these distortions.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.90
Affected Sets / Systems danchih, danchiq
Attached Files
mp3 file icon danchih_089.mp3 (80,520 bytes) Jun 21, 2011, 07:27 Uploaded by Fujix
danchih 0.89
mp3 file icon danchih_142u6.mp3 (85,704 bytes) Jun 21, 2011, 07:28 Uploaded by Fujix
danchih 0.142u6
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.07559
Tafoid
Administrator
Jun 20, 2011, 20:27
Some before and after sound recording would be great here - along with some original pcb recording/video displaying it's proper output. Sound emulation for the whole driver is known to not be 100%, even if it had glimpses of being good.
User avatar
No.07561
Fujix
Administrator
Jun 21, 2011, 07:30
Uploaded sound files of "before and after". The woman's voice varies every time.
It sounds the blank parts of the man's voice sample are distorted.
Also in danhiq, the sound test SEQ 8 has the same distortion.
User avatar
No.07562
Fujix
Administrator
Jun 21, 2011, 10:33
Added mp3 file preview function.
User avatar
No.07569
Fujix
Administrator
Jun 22, 2011, 09:40
edited on: Jun 22, 2011, 15:00
MASH, this time I set this report confirmed as it is regarded as a regression, although, please be noted that it needs more preparation for a bug report especially in a game with the imperfect flag, usually we don't accept reports except heavy regression for those games.

Thanks in advance.
User avatar
No.15886
MetalGod
Senior Tester
Dec 8, 2018, 18:12
edited on: Dec 8, 2018, 20:00
Fixed in mame 0.143u? any intermediate version between 0.143 and 0.144.

However, it can only be checked untill 0.148u1 because in this version a worse bug appeared:
https://mametesters.org/view.php?id=6270